cURL
curl --request GET \ --url https://api.embedreach.com/api/segments/user/{externalId}
{ "success": true, "message": "<string>", "data": { "segments": [ { "id": "<string>", "name": "<string>", "conditions": [ { "field": "userId", "value": [ "<string>" ], "operator": "equals" } ], "type": "all_users", "createdAt": "<string>", "updatedAt": "<string>", "description": "<string>" } ] } }
Get all segments a user belongs to by their external ID
If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.
The external ID of the user
Status 200 response
Show child attributes
The segments the user belongs to
The id of the segment
A friendly name for the segment
The conditions to include in the segment
userId
email
phone
firstName
lastName
The value to compare the field against (string, number, boolean, date)
equals
not_equals
greater_than
less_than
exists
not_exists
equals_month_day
equals_month_day_year
between_month_day
between_month_day_year
array_contains
The type of segment
all_users
managed
custom
one_off
sql
The date and time the segment was created
The date and time the segment was last updated